// ***************************************************************************************
//
//	Copyright (C) 2003 Kazuhiko TAMURA. All rights reserved.
//
//	This program is free software; you can redistribute it and/or 
//	modify it under the terms of the GNU General Public License
//	as published by the Free Software Foundation; either version 2
//	of the License, or (at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
//	NAME:		ResizeResultCommand.java
//	DATE:		2003.6.20
//	CREATOR:	Kazuhiko TAMURA
//
// ***************************************************************************************

package jp.gr.java_conf.ktz.puzzle.hashikake.creator.view.command;

import jp.gr.java_conf.ktz.puzzle.framework.view.CommandContainer;

import jp.gr.java_conf.ktz.puzzle.framework.view.command.AbstractTopDownCommand;

/**
 *	ՖʂTCY邽߂ɁABoardTCYi[邽߂Command
 *	Command͔ՖʂύXÕTCYԂړIƁA
 *	ύX̃TCY]A̖ړÎ߂ɎgpB
 */
public class ResizeResultCommand extends AbstractTopDownCommand {
	private final int mWidth;
	private final int mHeight;
	
	/**
	 *	RXgN^
	 *
	 *	@param	inCommander	Command̓]
	 *	@param	inWidth		Board
	 *	@param	inHeight	Board
	 */
	public ResizeResultCommand(
			CommandContainer inCommander, 
			final int inWidth, final int inHeight)
	{
		super (inCommander);
		
		mWidth = inWidth;
		mHeight = inHeight;
	}
	
	/**
	 *	@return BoardԂ
	 */
	public int getWidth() {
		return mWidth;
	}
	
	/**
	 *	@return BoardԂ
	 */
	public int getHeight() {
		return mHeight;
	}
}
